
Infrastructure - Task #2232

Story # 312 (Closed): Identifier generation and reservation

Check equivalent identities when making/checking reservations

2012-01-19 01:25 - Ben Leinfelder

Status: Closed Start date: 2012-01-19

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.03-Block.1.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Right now only the subject who originally made the ID reservation is shown to have it, but if they use an equivalent Identity, they

should also own it.

Groups, too, though we haven't discussed "group ownership" as far as I know.

History

#1 - 2012-01-19 18:56 - Ben Leinfelder

We actually need to add a Subject/SubjectInfo param to the hasReservation() method so that an MN can check whether or not a submitter (different

Subject than the calling MN) has ownership of the reservation.

#2 - 2012-01-20 00:44 - Ben Leinfelder

- Status changed from New to Closed

Now checking that one of the potentially many equivalent Subjects we get in the hasReservation method actually own the reservation.
